Skip to main content
GET
/
v1
/
filings
/
search
Find filings
curl --request GET \
  --url https://api.ivory.finance/v1/filings/search \
  --header 'X-API-Key: <api-key>'
[
  {
    "id": "<string>",
    "title": "<string>",
    "companyId": "<string>",
    "documentCategory": "<string>",
    "description": "<string>",
    "date": "2023-12-25",
    "fiscalQuarter": 123,
    "fiscalYear": 123,
    "fiscalPeriod": "<string>",
    "companyName": "<string>",
    "companyTickers": [],
    "metadata": {}
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.ivory.finance/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Query Parameters

form_type
string | null

Filter by SEC form type (case-insensitive). Any form type present in the database is accepted, e.g. 10-K, 10-Q, 8-K, 6-K, 20-F, S-1, DEF 14A, SC 13G, 4, 13F-HR, and 250+ others.

limit
integer
default:50
Required range: 1 <= x <= 500
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

id
string
required
title
string
required
companyId
string
required
documentCategory
string | null
description
string | null
date
string<date> | null
fiscalQuarter
integer | null
fiscalYear
integer | null
fiscalPeriod
string | null
companyName
string | null
companyTickers
string[]
metadata
Metadata · object